% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adaptive_sampling.R
\name{calculate_weighted_marginals}
\alias{calculate_weighted_marginals}
\title{Calculate Weighted Marginal Distributions}
\usage{
calculate_weighted_marginals(samples)
}
\arguments{
\item{samples}{Data frame containing:
- log_N, log_k0, log_cooling_rate, log_c_repulsion: Parameter columns
- NLL: Negative log-likelihood column}
}
\value{
Named list of marginal distributions, each containing:
\item{x}{Vector of parameter values}
\item{y}{Vector of density estimates}
}
\description{
Calculates marginal distributions for each parameter with weights derived from
log-likelihoods.
}
\details{
Uses kernel density estimation weighted by normalized likelihoods.
}
