% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/visualization.R
\name{plot.topolow_amcs_diagnostics}
\alias{plot.topolow_amcs_diagnostics}
\title{Plot Method for Adaptive Monte Carlo Sampling Diagnostics}
\usage{
\method{plot}{topolow_amcs_diagnostics}(
  x,
  output_dir,
  output_file = "mc_diagnostics.png",
  save_plot = FALSE,
  width = 3000,
  height = 3000,
  res = 300,
  ...
)
}
\arguments{
\item{x}{A topolow_amcs_diagnostics object}

\item{output_dir}{Character. Directory for output files. Required if \code{save_plot} is \code{TRUE}.}

\item{output_file}{Character path for saving plot}

\item{save_plot}{Logical. Whether to save the plot.}

\item{width, height, res}{Plot dimensions and resolution}

\item{...}{Additional arguments passed to plot functions}
}
\value{
A ggplot object of the combined plots.
}
\description{
Creates trace and density plots for multiple chains to assess convergence
and mixing.
}
