% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adaptive_sampling.R
\name{unweighted_kde}
\alias{unweighted_kde}
\title{Unweighted Kernel Density Estimation}
\usage{
unweighted_kde(x, n = 512, from = min(x), to = max(x), bw = "nrd0")
}
\arguments{
\item{x}{Numeric vector of samples}

\item{n}{Integer number of evaluation points}

\item{from, to}{Numeric range for evaluation points}

\item{bw}{Bandwidth selection ("nrd0", "nrd", "ucv", "bcv", "sj" or numeric)}
}
\value{
List containing:
\item{x}{Vector of evaluation points}
\item{y}{Vector of density estimates}
\item{bw}{Selected bandwidth}
}
\description{
Standard kernel density estimation for univariate data with various bandwidth
selection rules.
}
