% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adaptive_sampling.R
\name{weighted_kde}
\alias{weighted_kde}
\title{Weighted Kernel Density Estimation}
\usage{
weighted_kde(x, weights, n = 512, from = min(x), to = max(x))
}
\arguments{
\item{x}{Numeric vector of samples}

\item{weights}{Numeric vector of weights}

\item{n}{Integer number of evaluation points}

\item{from, to}{Numeric range for evaluation points}
}
\value{
List containing:
\item{x}{Vector of evaluation points}
\item{y}{Vector of density estimates}
}
\description{
Performs weighted kernel density estimation for univariate data. Uses parallel processing
for efficiency. Useful for analyzing parameter distributions with importance weights.
}
